#!/bin/sh

# Blosh - um compilador de blogs e websites estáticos
# Copyright (C) 2014 Adriano Rafael Gomes <adrianorg@arg.eti.br>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

if [ -e blosh.conf ]
then
    echo "o arquivo blosh.conf ja existe"
    exit 1
fi

cat >blosh.conf <<EOF
URL_DOMAIN="http://www.example.org"
URL_ROOT="blog"
BLOG_TITLE="Meu blog"
BLOG_DESCRIPTION="Apenas mais um blog na Internet"
BLOG_FOOTNOTE="Esta página foi gerada pelo <a href="http://www.arg.eti.br/blog/pages/software/blosh/index.html">Blosh</a>."
WORKING_AREA_DIR="./tmp"
OUTPUT_DIR="./output"
MENU_PAGES="contato sobre"
EOF

mkdir -p posts
mkdir -p pages
mkdir -p static
