#!/bin/sh

# Blosh - um compilador de blogs e websites estáticos
# Copyright (C) 2014 Adriano Rafael Gomes <adrianorg@arg.eti.br>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

if [ -z "$1" ]
then
    echo "$0 posts/filename.markdown"
    exit 1
fi

cat >$1 <<EOF
# title: Título do post
# date:  YYYY-MM-DD HH:MM
# tags:  lista de tags separadas por espaço
# url:   url-opcional-derivada-de-title-se-nao-especificada

Primeiro parágrafo do meu novo post.

<!-- break -->

A marca acima define o resumo do post.

Escreva o post na sintaxe do markdown.
EOF
